1. WPay
WPay
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Api Reference
    • Authentication
      • Get Access Token
      • Refresh Access Token
    • WPay
      • Hosted Payment Page
        POST
      • List Payment History
        POST
      • Get Payment Detail
        POST
      • Refund
        POST
      • List Subscriptions
        POST
      • Get Subscription Detail
        POST
      • Cancel Subscription
        POST
      • Get Subscription Bills
        POST
    • Webhook
      • Simulate a Event Call
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. WPay

Get Subscription Detail

Developing
POST
/checkout/w-payment/subscriptions/detail

Request

Body Params application/jsonRequired

Example
{
  "id": 1001
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/checkout/w-payment/subscriptions/detail' \
--header 'Content-Type: application/json' \
--data '{
  "id": 1001
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
  "retcode": "200",
  "retmsg": null,
  "retdata": {
    "id": 1001,
    "mchSubscriptionNo": "SUB-20240423-001",
    "status": "ACTIVE",
    "amount": 9.99,
    "currency": "USD",
    "intervalUnit": "month",
    "intervalCount": 1,
    "createdTime": "2024-04-23T10:00:00"
  }
}
Modified at 2026-05-17 23:41:47
Previous
List Subscriptions
Next
Cancel Subscription
Built with